Subject: dictionary reply

From: "Edward J. Hughes" <[email-masked]>
Date: Fri, 15 Oct 1993 10:07:19 -0600

Dear folks of CCNET-L,
        I am sorry for such a lengthy delay in getting back with this
reply some of you requested, I lost access to tmy server for several months
and just recently got access back to it.

        My original quetion was regarding an Electronic Chinese Dictionary
an/or a Chinese/English and English Chinese electronic dictionary systems.
I also asked about Chinese word processors that you might recommend.

        I will try to summarize comments and have also included parts
of the comments that I did receive.  Thanks for all your replies, the
gave me some interesting leads.

        I did not get a lot of info regarding dicitonaries.  I did down
load a hugh electronic dictionary from Tiawan (NCTU's server?).  It was
easy to set up and run, including the setup of KC60.  The doctionary
was pretty neat, but as the original poster said it is an electronics
dictionary.  Doesn't do a whole lot for translating Tang Poetry! :-)
        Others mentioned dicitonary programs embedded in a Word
Processing Program.  I haven't much experience with these other then
an older version of NJSTAR and a demo verison of Twinbridge.  These are
ok, but what is really needed is a true dictionary with definitions and
are large vocabulary and preferably two directional: i.e. Chinese to
English and English to Chinese, to handle acedemic work.
        Newer versions of the Word processors may do a better job, but I
have not had a chance to investigate them.

        The word processing programs gave me a whole array.  NJSTAR was
the clear winner by number of recommendations.  There where several
other mentioned, please see below for all the revelant suggesitons and
comments.
        The issue we have os to print a document with the quality of a
Word Perfect or Microsoft Word, such as various font sizes and styles.
Underlining, bolding, etc.
        A 2.x veriosn of NJSTAR that I ftp'd only handled two fonts sizes
which isn't enough.  Although I did like the feel of the program.
        I also really liked the ability to read in several different
fonts as well as write out in PCX.  This is very helpful since my wife
does a lot of translation work and many people do not have the
ability to get E-mail (let alone handle a Chinese langugae document);
therefore, my wife can fax complete work directly without having to
go through the step of prnting the document.

        I have also tried the demo version of Twinbridge.  I have to say
I liked this the best as it is using a very popular and powerful Word
Processor.  The problem here is that fots that come with the demo
aren't fonts that you can get with a full blown system.  But it is hard
to lay out $200 to $800 on a system that you haven't seen print
for yourself.  It is really nice to scale fonts to anysize and then change
the sizes.  I would also like to see the different styles of fonts
such as song, kai, hei, etc.  I could not determine if it was possible
to have oth simplified or traditional in the same docuemnt.  Although
for all the work my wife has doen this has not been needed very much.

        I suspect I will be looking around some more at some of the
different word processors, but currently I am leaning toward
Twinbridge.

        Thanks for all your help and plaes feel fre to let me know if
anything new has been developed!  I would also be glad to answer any
ones quesitons would like to knwo more.

                        Thanks
                        Ed Hughes
                        [email-masked]
                        [email-masked]
                        [email-masked]

        The foloing is a compilation of the various comments and suggestions
I received.  Thanx again!

For your question one, I do not have a good answer. There is no
comprehensive electronic dictionary of Chinese-English. However, if you
have NJSTAR, a DOS Chinese software (version 3.0 will be available soon),
you may find it very useful. While you edit your Chinese text, you may
check each character (or word). This is a new function which is called
Dictionay Use.

As for second question, I recommend two: NJSTAR 3.0 and TwinBridge 3.1a.
NJSTAR 3.0 is a  ery versatile program which allows you to input words
without tone marks. It has many functions. I cannot elaborate them here
and if you are interested in it, you can read my article about it. The
article is in gb format (uuencoded).
TwinBridge is not very good in terms of input, but its professional
version has very beautiful fonts. You must use Windows and WinWord along
with TwinBridge, since it is a operating system.

=========================================================================

ETEN TECH Journal Aug, 1993 introduces & compares some chinese word processing
packages. There are Cwords 1.2, CAmiPRO 2.0 for windows, (as the name you know,
they are developed by microsoft and lotus), also there are lots of domestice
softwares are developed. Wordperfect is now trying to enter this market, too.
If you prefer windows environment, the two, Cword and CAmipro are excellent
for you, However, if you prefer dos environment, domestic packages are suitable
for you and they are cheaper. By the way, Dos edit.exe is a good word processor
I think. If you use any chinese system environent, try edit.exe. It is the
cheapest.

You can try Super Chinese System DCDOS which supports many printers and
printout is very nice. The disk space is required from 360K to 8.8M.
The ftp site is:    ifcss.org: /software/dos/editor

=========================================================================

I use Microsoft Chinese Windows 3.1, with either MS Word for Windows
and/or Ami Pro 3.0. For an input system, I use Hanin 3.11 for CWIN 3.1.
Its context sensitive. For fonts, I use Dynafont and CompuFont's
Fanjiantong for simplified characters. I also use Fontographer to create
IPA, tone marks, etc.

In DOS, I run WordPerfect 4.2 under ETEN. It's a cheaper solution iflaser
quality printing isn't required. It prints best with the Epson LQ series
and compatibles

=========================================================================

I don't know if there is a Chinese dictionary existing on the network, but
I know a good word processor called NJSTAR which supports all kinds of
printers. The registration fee is $69, but students get $20 discount.
For the functionality, which is good but not perfect, the price is very
good. The program supports many input methods, and supports many file formats
which is an important aspect of Chinese computing. Overall, I think
NJSTAR is a worthy investment.

=========================================================================

Did you try NJStar?  It is ftpable too.  (IFCSS.ORG softwar\dos\editor.)

I speak for NJStar.  SO I don't want to give a comerical statment.  :-)!
You need to try it out at your own.

=========================================================================

You may look into this anonymous ftp site, ifcss.org for goodies.
file /software/catalogue has description of all files available.
My collection of CCNET articles,
/china-studies/compute/ccnet-archive/chtranslate or dictionary
may of help too.

=========================================================================

1) For an elect. Chinese Dictionary, assume you have ftp access,
you can try ftp to this ftp site: 140.111.3.21 under /pub/Chinese/dict,
(I hope it is right).

2) If you have window V3.1, you may want to try the CStar For
    Windows Which was developed in Beijing, China. Try to get
    the version 1.2. It is an excellet Chinese Windows Program.
    It support several input method, and different fonts. If you are
    interested, you may contact this chinese software company:

    Data Station
    P.O.Box 91654
    City of Industry, CA 91715-1654

    Ask them for the catalog, they have almost all the word processor
    software from both China and Taiwan.